#ifndef __LCD_LB070WV6_H__
#define __LCD_LB070WV6_H__

#define DISCON0_BASE (0x11C00000)
#define DISCON1_BASE (0x12000000)

#define VIDCON0 (DISCON0_BASE)
#define VIDCON1 (DISCON0_BASE + 0x4)
#define VIDCON2 (DISCON0_BASE + 0x8)
#define VIDCON3 (DISCON0_BASE + 0xC)

#define VIDTCON0 (DISCON0_BASE + 0x10)
#define VIDTCON1 (DISCON0_BASE + 0x14)
#define VIDTCON2 (DISCON0_BASE + 0x18)
#define VIDTCON3 (DISCON0_BASE + 0x1C)

#define WINCON0 (DISCON0_BASE + 0x20)
#define WINCON1 (DISCON0_BASE + 0x24)
#define WINCON2 (DISCON0_BASE + 0x28)
#define WINCON3 (DISCON0_BASE + 0x2C)
#define WINCON4 (DISCON0_BASE + 0x30)

#define SHADOWCON (DISCON0_BASE + 0x34)
#define WINCHMAP2 (DISCON0_BASE + 0x3C)

#define VIDOSD0A (DISCON0_BASE + 0x40)
#define VIDOSD0B (DISCON0_BASE + 0x44)
#define VIDOSD0C (DISCON0_BASE + 0x48)

#define VIDOSD1A (DISCON0_BASE + 0x50)
#define VIDOSD1B (DISCON0_BASE + 0x54)
#define VIDOSD1C (DISCON0_BASE + 0x58)
#define VIDOSD1D (DISCON0_BASE + 0x5C)

#define VIDOSD2A (DISCON0_BASE + 0x60)
#define VIDOSD2B (DISCON0_BASE + 0x64)
#define VIDOSD2C (DISCON0_BASE + 0x68)
#define VIDOSD2D (DISCON0_BASE + 0x6C)

#define VIDOSD3A (DISCON0_BASE + 0x70)
#define VIDOSD3B (DISCON0_BASE + 0x74)
#define VIDOSD3C (DISCON0_BASE + 0x78)

#define VIDOSD4A (DISCON0_BASE + 0x80)
#define VIDOSD4B (DISCON0_BASE + 0x84)
#define VIDOSD4C (DISCON0_BASE + 0x88)

#define VIDW00ADD0B0 (DISCON0_BASE + 0xA0)
#define VIDW00ADD0B1 (DISCON0_BASE + 0xA4)
#define VIDW00ADD0B2 (DISCON0_BASE + 0x20A0)

#define VIDW01ADD0B0 (DISCON0_BASE + 0xA8)
#define VIDW01ADD0B1 (DISCON0_BASE + 0xAC)
#define VIDW01ADD0B2 (DISCON0_BASE + 0x20A8)

#define VIDW02ADD0B0 (DISCON0_BASE + 0xB0)
#define VIDW02ADD0B1 (DISCON0_BASE + 0xB4)
#define VIDW02ADD0B2 (DISCON0_BASE + 0x20B0)

#define VIDW03ADD0B0 (DISCON0_BASE + 0xB8)
#define VIDW03ADD0B1 (DISCON0_BASE + 0xBC)
#define VIDW03ADD0B2 (DISCON0_BASE + 0x20B8)

#define VIDW04ADD0B0 (DISCON0_BASE + 0xC0)
#define VIDW04ADD0B1 (DISCON0_BASE + 0xC4)
#define VIDW04ADD0B2 (DISCON0_BASE + 0x20C0)

#define VIDW00ADD1B0 (DISCON0_BASE + 0xD0)
#define VIDW00ADD1B1 (DISCON0_BASE + 0xD4)
#define VIDW00ADD1B2 (DISCON0_BASE + 0x20D0)

#define VIDW01ADD1B0 (DISCON0_BASE + 0xD8)
#define VIDW01ADD1B1 (DISCON0_BASE + 0xDC)
#define VIDW01ADD1B2 (DISCON0_BASE + 0x20D8)

#define VIDW02ADD1B0 (DISCON0_BASE + 0xE0)
#define VIDW02ADD1B1 (DISCON0_BASE + 0xE4)
#define VIDW02ADD1B2 (DISCON0_BASE + 0x20E0)

#define VIDW03ADD1B0 (DISCON0_BASE + 0xE8)
#define VIDW03ADD1B1 (DISCON0_BASE + 0xEC)
#define VIDW03ADD1B2 (DISCON0_BASE + 0x20E8)

#define VIDW04ADD1B0 (DISCON0_BASE + 0xF0)
#define VIDW04ADD1B1 (DISCON0_BASE + 0xF4)
#define VIDW04ADD1B2 (DISCON0_BASE + 0x20F0)

#define VIDW00ADD2 (DISCON0_BASE + 0x100)
#define VIDW01ADD2 (DISCON0_BASE + 0x104)
#define VIDW02ADD2 (DISCON0_BASE + 0x108)
#define VIDW03ADD2 (DISCON0_BASE + 0x10C)
#define VIDW04ADD2 (DISCON0_BASE + 0x110)

#define VIDINTCON0 (DISCON0_BASE + 0x130)
#define VIDINTCON1 (DISCON0_BASE + 0x134)

#define W1KEYCON0 (DISCON0_BASE + 0x140)
#define W1KEYCON1 (DISCON0_BASE + 0x144)

#define W2KEYCON0 (DISCON0_BASE + 0x148)
#define W2KEYCON1 (DISCON0_BASE + 0x14C)

#define W3KEYCON0 (DISCON0_BASE + 0x150)
#define W3KEYCON1 (DISCON0_BASE + 0x154)

#define W4KEYCON0 (DISCON0_BASE + 0x158)
#define W4KEYCON1 (DISCON0_BASE + 0x15C)

#define W1KEYALPHA (DISCON0_BASE + 0x160)
#define W2KEYALPHA (DISCON0_BASE + 0x164)
#define W3KEYALPHA (DISCON0_BASE + 0x168)
#define W4KEYALPHA (DISCON0_BASE + 0x16C)

#define DITHMODE (DISCON0_BASE + 0x170)

#define WIN0MAP (DISCON0_BASE + 0x180)
#define WIN1MAP (DISCON0_BASE + 0x184)
#define WIN2MAP (DISCON0_BASE + 0x188)
#define WIN3MAP (DISCON0_BASE + 0x18C)
#define WIN4MAP (DISCON0_BASE + 0x190)

#define WPALCON_H (DISCON0_BASE + 0x19C)
#define WPALCON_L (DISCON0_BASE + 0x1A0)

#define VID0ALPHA0 (DISCON0_BASE + 0x21C)
#define VID0ALPHA1 (DISCON0_BASE + 0x220)

#define VID1ALPHA0 (DISCON0_BASE + 0x224)
#define VID1ALPHA1 (DISCON0_BASE + 0x228)

#define VID2ALPHA0 (DISCON0_BASE + 0x22C)
#define VID2ALPHA1 (DISCON0_BASE + 0x230)

#define VID3ALPHA0 (DISCON0_BASE + 0x234)
#define VID3ALPHA1 (DISCON0_BASE + 0x238)

#define VID4ALPHA0 (DISCON0_BASE + 0x23C)
#define VID4ALPHA1 (DISCON0_BASE + 0x240) 

#define BLENDCON (DISCON0_BASE + 0x260) 

//by crazyboy 20140830 by treego  Shift Bit Define
//VIDTCON0
#define BIT_VBPDE 24
#define BIT_VBPD  16
#define BIT_VFPD   8
#define BIT_VSPW   0

//VIDTCON1
#define BIT_VFPDE 24
#define BIT_HBPD  16
#define BIT_HFPD   8
#define BIT_HSPW   0

//VIDTCON2
#define BIT_LINEVAL 11
#define BIT_HOZVAL   0

//VIDCON1
#define BIT_VDEN_INVERT   4
#define BIT_VSYNC_INVERT  5
#define BIT_HSYNC_INVERT  6
#define BIT_VCLK_INVERT   7

//VIDINTCON0
#define BIT_SEL_WINDOWS0  5
#define BIT_SEL_WINDOWS1  6
#define BIT_SEL_WINDOWS2  9
#define BIT_SEL_WINDOWS3 10
#define BIT_SEL_WINDOWS4 11

#if 0
#define LCD_WIDTH		1024
#define LCD_HEIGHT		600
#define LCD_VBPD		4
#define LCD_VFPD		3
#define LCD_VSPW		3
#define LCD_HBPD		30
#define LCD_HFPD		30
#define LCD_HSPW		30
#else 
#define LCD_WIDTH		1280
#define LCD_HEIGHT		800
#define LCD_VBPD		5
#define LCD_VFPD		5
#define LCD_VSPW		25
#define LCD_HBPD		60
#define LCD_HFPD		60
#define LCD_HSPW		200

#endif

#define LCD_ORG_WIDTH   96  /* 6 column */
#define LCD_ORG_HEIGHT  16

#define CFG_LCD_FBUFFER (0x5A000000)


void LCD_Initialize_at070na(void);

#endif
